Package de.gebit.integrity.scoping

## Class DSLResourceDescriptionStrategy

- java.lang.Object
- - org.eclipse.xtext.resource.impl.DefaultResourceDescriptionStrategy
  - - de.gebit.integrity.scoping.DSLResourceDescriptionStrategy

- All Implemented Interfaces:
    `org.eclipse.xtext.resource.IDefaultResourceDescriptionStrategy`

      public class DSLResourceDescriptionStrategy
      extends org.eclipse.xtext.resource.impl.DefaultResourceDescriptionStrategy

  Custom `IDefaultResourceDescriptionStrategy` implementation which filters out private stuff.
  Author:
    Rene Schneider - initial API and implementation

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `DSLResourceDescriptionStrategy()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `createEObjectDescriptions​(org.eclipse.emf.ecore.EObject anObject, org.eclipse.xtext.util.IAcceptor<org.eclipse.xtext.resource.IEObjectDescription> anAcceptor)` |

    - ### Methods inherited from class org.eclipse.xtext.resource.impl.DefaultResourceDescriptionStrategy

      `createReferenceDescription, createReferenceDescriptions, getLazyURIEncoder, getQualifiedNameProvider, isIndexable, isResolvedAndExternal, setLazyURIEncoder, setQualifiedNameProvider`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DSLResourceDescriptionStrategy

          public DSLResourceDescriptionStrategy()

  - ### Method Detail

    - #### createEObjectDescriptions

          public boolean createEObjectDescriptions​(org.eclipse.emf.ecore.EObject anObject,
                                                   org.eclipse.xtext.util.IAcceptor<org.eclipse.xtext.resource.IEObjectDescription> anAcceptor)

      Specified by:
        `createEObjectDescriptions` in interface `org.eclipse.xtext.resource.IDefaultResourceDescriptionStrategy`
      Overrides:
        `createEObjectDescriptions` in class `org.eclipse.xtext.resource.impl.DefaultResourceDescriptionStrategy`